org.apache.ignite.internal.cache.query.index.sorted

## Class IndexRowCache

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.IndexRowCache

All Implemented Interfaces:
  GridQueryRowCacheCleaner

    public class IndexRowCache
    extends Object
    implements GridQueryRowCacheCleaner

H2 row cache.

### Constructor Summary

Constructors
Constructor and Description
`IndexRowCache(CacheGroupContext grpCtx, int maxSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IndexRowImpl` `get(long link)` Get row by link.
`void` `onCacheRegistered()` Cache registration callback.
`boolean` `onCacheUnregistered(GridCacheContextInfo cacheInfo)` Cache un-registration callback.
`void` `put(IndexRowImpl row)` Put row by link.
`void` `remove(long link)` Remove row by link.
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexRowCache

    public IndexRowCache(CacheGroupContext grpCtx,
                         int maxSize)

Parameters:
  `grpCtx` - Cache group context.

### Method Detail

#### get

    public IndexRowImpl get(long link)
                     throws IgniteCheckedException

Get row by link.

Parameters:
  `link` - Link.
Returns:
  Cached on-heap row.
Throws:
  `IgniteCheckedException` - On error.

#### put

    public void put(IndexRowImpl row)

Put row by link.

Parameters:
  `row` - Row.

#### remove

    public void remove(long link)

Remove row by link.

Specified by:
  `remove` in interface `GridQueryRowCacheCleaner`
Parameters:
  `link` - Link to remove.

#### onCacheRegistered

    public void onCacheRegistered()

Cache registration callback.

#### onCacheUnregistered

    public boolean onCacheUnregistered(GridCacheContextInfo cacheInfo)

Cache un-registration callback.

Parameters:
  `cacheInfo` - Cache context info.
Returns:
  `True` if there are no more usages for the given cache group.

#### size

    public int size()

Returns:
  Cached rows count.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021